

DIGIT        [0-9]
LETTER       [a-zA-Z]
IDENTIFIER   {LETTER}({DIGIT}|{LETTER})* 
OPTSIGN      ("+"|"-")?
FLOAT        {OPTSIGN}{DIGIT}+("."{DIGIT}+)?(("e"|"E"){OPTSIGN}{DIGIT}+)?

%%

{IDENTIFIER}   printf( "identifier %s\n", yytext );
"while"       printf( "reserved word:while\n" );
"if"          printf( "reserved word:if\n" );
{OPTSIGN}{DIGIT}+       printf( "integer %d\n", atoi( yytext ));
{FLOAT}                 printf( "floating point number %s\n", yytext );

%%
int main( int argc, char* argv[ ] )
{
   printf( "this is the main program\n" );
   yylex( );
   return 0;
}


